For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create company info

Create company information for a domain / account. Company info is required for domain compliance verification.

post
Authorizations
Api-TokenstringRequired

API token in Api-Token header

Path parameters
domain_idintegerRequired

Domain ID

Example: 1
Body
Responses
200

Company information

application/json
post/api/domains/{domain_id}/company_info
curl -X POST https://mailtrap.io/api/domains/{domain_id}/company_info \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "company_info": {
      "name": "Mailtrap",
      "address": "123 Main St",
      "city": "San Francisco",
      "country": "US",
      "zip_code": "94105",
      "phone": "+1-555-0100",
      "website_url": "https://mailtrap.io",
      "privacy_policy_url": "https://mailtrap.io/privacy",
      "terms_of_service_url": "https://mailtrap.io/terms",
      "info_level": "business"
    }
  }'
{
  "data": {
    "name": "Mailtrap",
    "address": "123 Main St",
    "city": "San Francisco",
    "country": "US",
    "phone": "+1-555-0100",
    "zip_code": "94105",
    "privacy_policy_url": "https://mailtrap.io/privacy",
    "terms_of_service_url": "https://mailtrap.io/terms",
    "website_url": "https://mailtrap.io",
    "info_level": "business"
  }
}

Last updated

Was this helpful?